Bug 1308554 - Removal of librtkaio from glibc
Removal of librtkaio from glibc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
ChangeAcceptedF24, SystemWideChange
:
Depends On:
Blocks: 1512006
  Show dependency treegraph
 
Reported: 2016-02-15 08:48 EST by Jan Kurik
Modified: 2017-11-10 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-23 10:58:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-02-15 08:48:30 EST
This is a tracking bug for Change: Removal of librtkaio from glibc
For more details, see: https://fedoraproject.org//wiki/Changes/GLIBC223_librtkaio_removal

Remove librtkaio support from glibc in Fedora 24.
Comment 1 Jan Kurik 2016-02-24 09:26:11 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Carlos O'Donell 2016-02-25 11:11:51 EST
The work for this is done, I'm merging to F24 branch today.
Comment 3 Carlos O'Donell 2016-02-26 04:54:54 EST
This is now merged into F24. It's a simple symlink, but we need it to make sure we keep applications working that might need rtkaio.
Comment 4 Jan Kurik 2016-04-20 11:02:09 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Note You need to log in before you can comment on or make changes to this bug.